:root {
    /* global site variables */
    --brand-color-primary: #2462ab;
    --brand-color-primary-muted: #042f5b;
    --brand-color-primary-light: #07417c;
    --bs-card-cap-bg: rgba(var(--bs-body-color-rgb), 0.125);
}

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

.navbar {
    /* bootstrap variable overrides */
    --bs-navbar-padding-y: 0.25rem;
}

.navbar-icon i {
    color: #fffc;
}

.navbar-icon i:hover {
    color: #fff;
}

.navbar-main .dropdown-menu {
    --bs-dropdown-bg: var(--brand-color-primary-muted);
    --bs-dropdown-link-hover-bg: var(--brand-color-primary);
    --bs-dropdown-link-color: #fffc;
    --bs-dropdown-link-hover-color: #fff;
}

body {
    height: 100vh;
    display: flex;
    flex-direction: column;
}

main.main-container {
    padding: 0px;
    padding-top: 0;
    font-size: 0.8rem;
    flex: 1;
    margin: 40px 0 0 0;
    background-color: #F4F6FB;
}

main.noheader-container {
    padding: 0px;
    padding-top: 0;
    font-size: 0.8rem;
    flex: 1;
    background-color: #F4F6FB;
}

footer.main-footer {
    background-color: #2e3243;
    color: #ededed;
    font-size: 0.8rem;
}

.p-bold {
    font-size: 1rem;
    font-weight: bold;
}

.p-agency {
    background-color: #fff;
    min-height: 30px;
    border-radius: 7px;
}

.p-agency a {
    text-decoration: none;
    color: var(--brand-color-primary);
}

.text-extra-small {
    font-size: 0.7rem;
}

.dxbl-formlayout*{
    pointer-events:auto;
}

.header {
    font-size: 1.1em;
    font-weight: bold;
    color: #888;
    margin-top: 15px;
}

.sub-header {
    font-size: 1em;
    margin: 10px 0 5px 0;
    font-weight: bold;
}

.money {
    padding-left: 10px;
    text-align: right;
}

.btn-back {
    font-size: 0.9em;
    float: right;
    margin: 10px 40px 20px 20px
}

.btn-icon {
    color: var(--dxbl-tabs-tab-selected-color);
    padding: 0;
    text-decoration: none;
    border: none;
}

body .dxbl-dropdown .dxbl-scroll-viewer-content ul > li {
    border-bottom: 1px solid #d6dbe1 !important;
}

body .dxbl-dropdown .dxbl-scroll-viewer-content ul > li:last-child {
    border-bottom: none;
}

.tooltip-inner {
    background-color: white !important;
    color: black !important; /* Text color for contrast */
    border: 1px solid #ccc; /* Optional border */
}
/* Change tooltip arrow color to match background */

.tooltip.bs-tooltip-top .tooltip-arrow::before {
    border-top-color: white !important;
}

.tooltip.bs-tooltip-bottom .tooltip-arrow::before {
    border-bottom-color: white !important;
}

.tooltip.bs-tooltip-start .tooltip-arrow::before {
    border-left-color: white !important;
}

.tooltip.bs-tooltip-end .tooltip-arrow::before {
    border-right-color: white !important;
}
